Get 3DS challenge
curl --request GET \
--url https://sg.sandbox.api.reap.global/card-3ds-challenges/{challengeId} \
--header 'Authorization: Bearer <token>' \
--header 'Reap-Version: <reap-version>'const options = {
method: 'GET',
headers: {'Reap-Version': '<reap-version>', Authorization: 'Bearer <token>'}
};
fetch('https://sg.sandbox.api.reap.global/card-3ds-challenges/{challengeId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://sg.sandbox.api.reap.global/card-3ds-challenges/{challengeId}"
headers = {
"Reap-Version": "<reap-version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cardId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "PENDING",
"merchant": {
"name": "Sephora Digital",
"countryCode": "344"
},
"transaction": {
"amount": "170.0000",
"currency": "HKD",
"timestamp": "2024-01-15T10:30:00Z"
},
"expiresAt": "2024-01-15T10:35:00Z"
}{
"error": {
"code": "3DS_CHALLENGE_NOT_FOUND",
"message": "<string>",
"detail": {}
}
}Cards
Get 3DS challenge
Retrieves a 3DS challenge by ID.
GET
/
card-3ds-challenges
/
{challengeId}
Get 3DS challenge
curl --request GET \
--url https://sg.sandbox.api.reap.global/card-3ds-challenges/{challengeId} \
--header 'Authorization: Bearer <token>' \
--header 'Reap-Version: <reap-version>'const options = {
method: 'GET',
headers: {'Reap-Version': '<reap-version>', Authorization: 'Bearer <token>'}
};
fetch('https://sg.sandbox.api.reap.global/card-3ds-challenges/{challengeId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://sg.sandbox.api.reap.global/card-3ds-challenges/{challengeId}"
headers = {
"Reap-Version": "<reap-version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cardId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "PENDING",
"merchant": {
"name": "Sephora Digital",
"countryCode": "344"
},
"transaction": {
"amount": "170.0000",
"currency": "HKD",
"timestamp": "2024-01-15T10:30:00Z"
},
"expiresAt": "2024-01-15T10:35:00Z"
}{
"error": {
"code": "3DS_CHALLENGE_NOT_FOUND",
"message": "<string>",
"detail": {}
}
}Authorizations
API key as Bearer token
Headers
API version (YYYY-MM-DD)
Available options:
2025-02-14 Example:
"2025-02-14"
Path Parameters
Response
3DS challenge response
Unique 3DS challenge identifier
ID of the card this challenge is for
Challenge status
Available options:
PENDING, APPROVED, REJECTED, EXPIRED Example:
"PENDING"
Merchant details
Show child attributes
Show child attributes
Transaction details
Show child attributes
Show child attributes
ISO 8601 timestamp when this challenge expires
Example:
"2024-01-15T10:35:00Z"